> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Volume Usage

> The caller's (team's) volume totals: bytes used and volume count.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/training/volumes/usage
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/volumes/usage:
    get:
      tags:
        - training
      summary: Volume Usage
      description: 'The caller''s (team''s) volume totals: bytes used and volume count.'
      operationId: volume_usage_api_v1_training_volumes_usage_get
      parameters:
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Teamid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumeUsageResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    VolumeUsageResponse:
      properties:
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        usedBytes:
          type: integer
          title: Usedbytes
          default: 0
        volumeCount:
          type: integer
          title: Volumecount
          default: 0
      type: object
      title: VolumeUsageResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.